<ion-header>
    <ion-toolbar mode="ios" class="header-page" color="light">
        <ion-buttons slot="start">
            <ion-button (click)="this.commonMethodsTs.toPage_AdminDashboard()">
                <ion-icon slot="icon-only" name="arrow-back"></ion-icon>
            </ion-button>
        </ion-buttons>
        <ion-title>
            Danh sách ưu đãi
        </ion-title>
    </ion-toolbar>
</ion-header>
<ion-content class="uudai-container">
    <ion-refresher slot="fixed" pullFactor="0.5" pullMin="100" pullMax="200" (ionRefresh)="doRefresh($event)">
        <ion-refresher-content>
        </ion-refresher-content>
    </ion-refresher>
    <ion-grid fixed class="ion-no-padding">
        <div class="searchbar-custom" lines="none">
            <div class="search-box">
                <ion-input type="search" placeholder="Tìm theo mã hoặc tiêu đề" (keyup.enter)="data = null;loadData()"
                    [(ngModel)]="tuKhoaTimKiem" clearInput>
                </ion-input>
                <ion-buttons (click)="data = null;loadData()">
                    <ion-button color="medium"><i class="la la-search"></i></ion-button>
                </ion-buttons>
            </div>
        </div>
        <ion-list class="uudai-list" lines="full" *ngIf="data">
            <ion-item class="uudai-item" *ngFor="let item of data" [ngClass]="{'disable-block accept-action': item.IsUsed}" >
                <ion-thumbnail slot="start" (click)="onSelect(item.Id)">
                    <img src="{{item.UrlHinhDaiDien}}" alt="{{item.TieuDe}}">
                </ion-thumbnail>
                <div class="uudai-info">
                    <h2 class="title" (click)="onSelect(item.Id)">{{item.TieuDe}}</h2>
                    <div class="ma-uudai-content">
                        <p class="ma-uu-dai">{{item.MarketingCode_Ext?item.MarketingCode_Ext.Code:''}}</p>
                        <a class="copy" title="Sao chép"
                            *ngIf="item.MarketingCode_Ext && item.MarketingCode_Ext.Code && !item.IsUsed"
                            (click)="commonMethodsTs.copyCode(item.MarketingCode_Ext?item.MarketingCode_Ext.Code:'')">
                            <i class="la la-copy"></i>
                        </a>
                    </div>
                    <p class="times" *ngIf="item.DenNgay">Hiệu lực đến {{item.DenNgay|date:'dd/MM/yyyy'}}.</p>
                    <p class="times" *ngIf="!item.DenNgay">Không giới hạn thời gian.</p>
                </div>
            </ion-item>
            <ion-item *ngIf="data && data.length == 0">
                <ion-label class="ion-text-center">Hiện chưa có ưu đãi nào</ion-label>
            </ion-item>
        </ion-list>

        <ion-list *ngIf="!data">
            <ion-item lines="full">
                <ion-label>
                    <h2>
                        <ion-skeleton-text animated style="width: 80px;"></ion-skeleton-text>
                    </h2>
                    <p>
                        <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
                    </p>
                    <p>
                        <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
                    </p>
                </ion-label>

                <ion-text slot="end">
                    <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
                </ion-text>
            </ion-item>
            <ion-item lines="full">
                <ion-label>
                    <h2>
                        <ion-skeleton-text animated style="width: 80px;"></ion-skeleton-text>
                    </h2>
                    <p>
                        <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
                    </p>
                    <p>
                        <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
                    </p>
                </ion-label>

                <ion-text slot="end">
                    <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
                </ion-text>
            </ion-item>
            <ion-item lines="full">
                <ion-label>
                    <h2>
                        <ion-skeleton-text animated style="width: 80px;"></ion-skeleton-text>
                    </h2>
                    <p>
                        <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
                    </p>
                    <p>
                        <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
                    </p>
                </ion-label>

                <ion-text slot="end">
                    <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
                </ion-text>
            </ion-item>
            <ion-item lines="full">
                <ion-label>
                    <h2>
                        <ion-skeleton-text animated style="width: 80px;"></ion-skeleton-text>
                    </h2>
                    <p>
                        <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
                    </p>
                    <p>
                        <ion-skeleton-text animated style="width: 30%"></ion-skeleton-text>
                    </p>
                </ion-label>

                <ion-text slot="end">
                    <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
                </ion-text>
            </ion-item>
        </ion-list>
        <ion-infinite-scroll (ionInfinite)="doInfinite($event)">
            <ion-infinite-scroll-content></ion-infinite-scroll-content>
        </ion-infinite-scroll>
    </ion-grid>
</ion-content>
<ion-fab vertical="bottom" horizontal="end" slot="fixed">
    <ion-fab-button (click)="onSelect(-1)">
        <ion-icon name="add"></ion-icon>
    </ion-fab-button>
</ion-fab>